• HIGHLIGHTS

Denoiser II

Denoiser II
Full: You selected the Full version of this product.
Select Product Option
Quantity
30 Day Moneyback Guarantee

Compatibility

Updates

Keep up to date with the latest version of Denoiser II. View Updates

System Requirements

Our products perform best when used with the system configurations listed below. Although many of our products will run on older or less powerful systems, these are the minimum system requirements for which we will provide technical support.

 

If you need CS4 support, go to our Denoiser Updates to download the legacy installer for Mac, which includes Denoiser II v1.3.

Apple Macintosh

Denoiser II v 1.4 (current version)
Mac OS X 10.7.2 and later
Mac OS X 10.8

Mac OS X 10.9
Mac Intel
4 GB of RAM
30 MB of Hard Drive space

 

Denoiser II v 1.3 (previous version)
Mac OS X 10.5.8
Mac OS X 10.6 - 10.6.8
Mac OS X 10.7.2 and later
Mac OS X 10.8
Mac Intel
2 GB of RAM
30 MB of Hard Drive space

PC / Windows

Denoiser II v 1.4 
Windows 7 64-bit
Windows 8 64-bit
Pentium 4 2.4 GHz or faster (or AMD equivalent)
4 GB of RAM
30 MB of Hard Drive space

 

Denoiser II v 1.3 
Windows XP SP1 or later
Windows Vista 32-bit and 64-bit
Windows 7 32-bit or 64-bit
Pentium 4 2.4 GHz or faster (or AMD equivalent)
2 GB of RAM
30 MB of Hard Drive space

Host Applications

Red Giant Denoiser II v1.4 supports Adobe After Effects, Premiere Pro, and Final Cut Pro 7.

Adobe After Effects CC, CS6, CS5.5, CS5
Premiere Pro CC, CS6, CS5.5, CS5
Final Cut Pro 7

 

Red Giant Denoiser II v1.3 supports Adobe After Effects, Premiere Pro, and Final Cut Pro 7.

Adobe After Effects CS6, CS5.5, CS5, CS4
Premiere Pro CS6, CS5.5, CS5
Final Cut Pro 7

 

- Compatible with Host Application version

- Not compatible with Host Application version

 

Adobe After Effects Compatibility
 CCCC (2014)CS5CS5.5CS6
Mac OS X 10.10     
Mac OS X 10.9YESYESYESYESYES
Mac OS X 10.8YESYESYESYESYES
Mac OS X 10.7YESYESYESYESYES
Mac OS X 10.6     
Windows 7 64-bitYESYESYESYESYES
Windows 8 64-bitYESYESYESYESYES

 

 

Adobe Premiere Pro Compatibility
 CCCC (2014)CS5CS5.5CS6
Mac OS X 10.10     
Mac OS X 10.9YESYESYESYESYES
Mac OS X 10.8YESYESYESYESYES
Mac OS X 10.7YESYESYESYESYES
Mac OS X 10.6     
Windows 7 64-bitYESYESYESYESYES
Windows 8 64-bitYESYESYESYESYES

 

 

Apple Final Cut Pro Compatibility
 7
Mac OS X 10.10 
Mac OS X 10.9 
Mac OS X 10.8YES
Mac OS X 10.7YES
Mac OS X 10.6 
Windows 7 64-bit 
Windows 8 64-bit 

 

 

Video Cards

Our latest update features a GPU speed enhancement that is supported on systems with OpenCL 1.1 and higher. The "Use GPU" checkbox is turned on if Denoiser II v1.4 detects a suitable GPU. You can still use Denoiser II if this GPU checkbox is greyed out, as long as your system meets the other system requirements, but Denoiser will render CPU only.

 

The Use GPU checkbox makes Denoiser 1.4 run 3-4x faster than Denoiser 1.3. To take advantage of the Denoiser II v1.4 speed enhancement, you will need a system and graphic card that supports OpenCL 1.1 (and higher). For more info on OpenCL, visit the Khronos website.

 

We recommend downloading and testing out a trial version of Denoiser if you are uncertain your system meets these requirements. Sign up for a free trial 

 


Mac graphics cards supported:


• ATI 5870


• Geforce 650m (15 inch retina laptops, and one version of the 21 inch imac)


 

Windows support:



Windows support for OpenCL 1.1 is entirely dependent on your driver and GPU. Make sure you have the most updated drivers and visit the Khronos website to see if your GPU supports OpenCL 1.1 or higher.

Save with the Suite

Downloads

Join

Subscribe to our newletter and special offers.